<?php
$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"] = (@$GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"] ?: array()) + array("_ecfcdf011b493" . "a3e718c1fe7034" . "e0dcd" => base64_decode("OjpMb2FkRnJvbUZv" . "cm0oKSBtdXN0IGJl" . "IHJlZGVmaW5lZA=="), "_347a4304a606a9c406a8fbc8" . "f72530a1" => base64_decode("TWV0a" . "G9kIA" . "=="), "_c9ae15d69685c02eeabd974f86df5" . "1ba" => base64_decode("OjpEcmF3KCkgbXVzdCBiZSByZWRlZmluZ" . "WQ="), "_00228d8faefcea4" . "0b88e38b6f0ef8fb" . "8" => base64_decode("V3Jvbmcgc2VyaWFsaXp" . "lZCBzdHJpbmcgb2YgQ2" . "9udHJvbA=="), "_c244a470df52d1d5a7085138ec" . "94e393" => base64_decode("dW5zZXJp" . "YWxpemU="), "_96be32a6f44bf54e635" . "e1736acf7a96c" => base64_decode("c2Vya" . "WFsaX" . "pl"), "_5e9a99dc0dd49b907abf1b35e9" . "6965f8" => base64_decode("dHJ" . "pbQ" . "=="), "_fc9d7314a9d9958d8fa0a40" . "3ba8ff197" => base64_decode("Z2V0X2Ns" . "YXNz"), "_4d707fab93be" . "bb00bbe69e815" . "9697c90" => base64_decode(""));





class FFControlAbstract extends ErrorHandler
{
    protected $key;
    protected $title;
    protected $data;
    protected $containter_name = "FFControl";
    public function __construct($key, $title)
    {
        $this->key = $key;
        $this->title = $title;
        $this->data = array();
    }
    public function StoreToString()
    {
        return $GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_96be32a6f44bf54e635e1736acf7a" . "96c"]($this->data);
    }
    public function LoadFromString($_939c6a45ff74323dbef487ed15753a7c)
    {
        if ($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_5e9a99dc0dd49b907abf1b35e969" . "65f8"]($_939c6a45ff74323dbef487ed15753a7c) === $GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_4d707fab93bebb00bbe69e815969" . "7c90"]) {
            return $this->SetErrMsg($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_00228d8f" . "aefcea40b" . "88e38b6f0" . "ef8fb8"]);
        }
        $this->data = $GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_c244a470df52d1d5a7085138ec9" . "4e393"]($_939c6a45ff74323dbef487ed15753a7c);
        return true;
    }
    public function LoadFromForm()
    {
        return $this->SetErrMsg($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_347a4304a606a9c40" . "6a8fbc8f72530a1"] . $GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_fc9d7314a9d9958d8fa0" . "a403ba8ff197"]($this) . $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_ecfcdf011b493a3e718c1fe7034e0dc" . "d"]);
    }
    public function Draw()
    {
        return $this->SetErrMsg($GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_347a4304a606a9c406a8fbc8f72530" . "a1"] . $GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_fc9d7314a9d9958d8fa0a40" . "3ba8ff197"]($this) . $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_c9ae15d69685c02eeabd9" . "74f86df51ba"]);
    }
    public function SaveIntoSession()
    {
        $_SESSION[$this->container_name][$this->key] = $this->data;
    }
    public function LoadFromSession()
    {
        if (isset($_SESSION[$this->container_name][$this->key])) {
            $this->data = $_SESSION[$this->container_name][$this->key];
            return true;
        }
        return false;
    }
    public function GetParams()
    {
        return $this->data;
    }
    public function GetParam($_8dabb06efc95df4cff7c4afe91857b53)
    {
        return $this->data[$_8dabb06efc95df4cff7c4afe91857b53];
    }
    public function SetParam($_8dabb06efc95df4cff7c4afe91857b53, $value)
    {
        $this->data[$_8dabb06efc95df4cff7c4afe91857b53] = $value;
    }
    public function GetKey()
    {
        return $this->key;
    }
    public function GetTitle()
    {
        return $this->title;
    }
}